summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xgit-shell-commands/ls-repos13
1 files changed, 13 insertions, 0 deletions
diff --git a/git-shell-commands/ls-repos b/git-shell-commands/ls-repos
new file mode 100755
index 0000000..d6b4138
--- /dev/null
+++ b/git-shell-commands/ls-repos
@@ -0,0 +1,13 @@
+#!/bin/bash
+# * ls-repos
+# List repos and URLs
+# Example: ls-repos
+
+readonly URL=https://git.parabola.nu/
+
+
+set -e
+
+
+#find . -type f -name 'HEAD' | sed "s|\./\(.*\)/HEAD|${URL}\1|"
+find . -type d -name '*.git' | sed "s|\./\(.*\)|${URL}\1|"